(*
Copyright 2009-2013 Christian Sternagel, René Thiemann

This file is part of IsaFoR/CeTA.

IsaFoR/CeTA is free software: you can redistribute it and/or modify it under the
terms of the GNU Lesser General Public License as published by the Free Software
Foundation, either version 3 of the License, or (at your option) any later
version.

IsaFoR/CeTA is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE.  See the GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public License along
with IsaFoR/CeTA. If not, see <http://www.gnu.org/licenses/>.
*)

theory Processors
imports
  "../Nontermination/Nontermination_Impl"

  "../Orderings/Reduction_Pair_Implementations"
  "../Orderings/Reduction_Pair_Impl"
  "../Orderings/Argument_Filter_Impl"

  "../Termination_and_Complexity/Dependency_Graph_Impl"
  "../Termination_and_Complexity/DP_Transformation_Impl"
  "../Termination_and_Complexity/Subterm_Criterion_Impl"
  "../Termination_and_Complexity/Usable_Rules_Impl"
  "../Termination_and_Complexity/String_Reversal_Impl"
  "../Termination_and_Complexity/Split_Impl"
  "../Termination_and_Complexity/Matchbounds_Impl"
  "../Termination_and_Complexity/Uncurry_Impl"
  "../Termination_and_Complexity/Size_Change_Termination_Processors_Impl"
  "../Termination_and_Complexity/Flat_Context_Closure_Impl"
  "../Termination_and_Complexity/Semantic_Labeling_Carrier"
  "../Termination_and_Complexity/Innermost_Usable_Rules_Impl"
  "../Termination_and_Complexity/Innermost_Switch_Impl"
  "../Termination_and_Complexity/Rewriting_Impl"
  "../Termination_and_Complexity/Instantiation_Impl"
  "../Termination_and_Complexity/Narrowing_Impl"
  "../Termination_and_Complexity/Generic_Reduction_Pair_Processor_Impl"
  "../Termination_and_Complexity/Q_Reduction_Impl"
  "../Termination_and_Complexity/Bounded_Increase_Impl"
  "../Termination_and_Complexity/Complex_Constant_Removal_Impl"
  "../Termination_and_Complexity/DT_Transformation_Impl"
  "../Termination_and_Complexity/WDP_Transformation_Impl"
  "../Termination_and_Complexity/Usable_Rules_Complexity_Impl"
  "../Termination_and_Complexity/Monadic_Rewriting_Impl"

  "../Confluence_and_Completion/Equational_Reasoning_Impl"
  "../Confluence_and_Completion/Orthogonality_Impl"
  "../Confluence_and_Completion/Critical_Pair_Closure_Impl"
  "../Confluence_and_Completion/Non_Confluence_Impl"
  "../Confluence_and_Completion/Rule_Labeling_Impl"
  "../Confluence_and_Completion/Redundant_Rules_Impl"

  "../Conditional_Rewriting/Unraveling_Impl"
begin

end

